field_expr_quadrature_binary< BinaryFunction, Expr1, Expr2 >

## Public Types

typedef geo_element::size_type | size_type
typedef promote_memory< typename Expr1::memory_type, typename Expr2::memory_type >::type | memory_type
typedef details::generic_binary_traits< BinaryFunction >::template result_hint< typename Expr1::value_type,typename Expr2::value_type >::type | result_hint
typedef details::generic_binary_traits< BinaryFunction >::template hint< typename Expr1::value_type,typename Expr2::value_type,result_hint >::result_type | value_type
typedef scalar_traits< value_type >::type | scalar_type
typedef float_traits< value_type >::type | float_type
typedef space_basic< scalar_type, memory_type > | space_type
typedef details::bf_vf_tag< BinaryFunction, typename Expr1::vf_tag_type, typename Expr2::vf_tag_type >::type | vf_tag_type
typedef details::dual_vf_tag< vf_tag_type >::type | vf_dual_tag_type
typedef field_expr_quadrature_binary< BinaryFunction, Expr1, Expr2 > | self_type
typedef field_expr_quadrature_binary< BinaryFunction, typename Expr1::dual_self_type, typename Expr2::dual_self_type > | dual_self_type

## Public Member Functions

| field_expr_quadrature_binary (const BinaryFunction &f, const Expr1 &expr1, const Expr2 &expr2)
const space_type & | get_vf_space () const
size_type | n_derivative () const
void | initialize (const geo_basic< float_type, memory_type > &omega_K, const integrate_option &iopt) const
void | initialize (const band_basic< float_type, memory_type > &gh, const integrate_option &iopt) const
template<class Value >
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< Value, Eigen::Dynamic, 1 > &value) const
template<class Value >
void | valued_check () const

## Static Public Attributes

static const space_constant::valued_type | valued_hint = space_constant::valued_tag_traits<value_type>::value

## Protected Attributes

BinaryFunction | _f
Expr1 | _expr1
Expr2 | _expr2

## Detailed Description

### template<class BinaryFunction, class Expr1, class Expr2>
class rheolef::details::field_expr_quadrature_binary< BinaryFunction, Expr1, Expr2 >

Definition at line 434 of file field_expr_quadrature.h.

## Member Typedef Documentation

## size_type

typedef geo_element::size_type size_type

Definition at line 438 of file field_expr_quadrature.h.

## memory_type

typedef promote_memory<typename Expr1::memory_type,typename Expr2::memory_type>::type memory_type

Definition at line 440 of file field_expr_quadrature.h.

## result_hint

typedef details::generic_binary_traits<BinaryFunction>::template result_hint< typename Expr1::value_type ,typename Expr2::value_type>::type result_hint

Definition at line 443 of file field_expr_quadrature.h.

## value_type

typedef details::generic_binary_traits<BinaryFunction>::template hint< typename Expr1::value_type ,typename Expr2::value_type ,result_hint>::result_type value_type

Definition at line 447 of file field_expr_quadrature.h.

## scalar_type

typedef scalar_traits<value_type>::type scalar_type

Definition at line 448 of file field_expr_quadrature.h.

## float_type

typedef float_traits<value_type>::type float_type

Definition at line 449 of file field_expr_quadrature.h.

## space_type

typedef space_basic<scalar_type,memory_type> space_type

Definition at line 450 of file field_expr_quadrature.h.

## vf_tag_type

typedef details::bf_vf_tag<BinaryFunction, typename Expr1::vf_tag_type, typename Expr2::vf_tag_type>::type vf_tag_type

Definition at line 453 of file field_expr_quadrature.h.

## vf_dual_tag_type

typedef details::dual_vf_tag<vf_tag_type>::type vf_dual_tag_type

Definition at line 455 of file field_expr_quadrature.h.

## self_type

typedef field_expr_quadrature_binary<BinaryFunction,Expr1,Expr2> self_type

Definition at line 456 of file field_expr_quadrature.h.

## dual_self_type

typedef field_expr_quadrature_binary<BinaryFunction,typename Expr1::dual_self_type, typename Expr2::dual_self_type> dual_self_type

Definition at line 459 of file field_expr_quadrature.h.

## Constructor & Destructor Documentation

## field_expr_quadrature_binary()

field_expr_quadrature_binary | ( | const BinaryFunction & | f,
|  | const Expr1 & | expr1,
|  | const Expr2 & | expr2
| ) |  |

Definition at line 471 of file field_expr_quadrature.h.

## Member Function Documentation

## get_vf_space()

const space_type& get_vf_space | ( |  | ) | const

Definition at line 478 of file field_expr_quadrature.h.

## n_derivative()

size_type n_derivative | ( |  | ) | const

Definition at line 479 of file field_expr_quadrature.h.

## initialize() [1/2]

void initialize | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 482 of file field_expr_quadrature.h.

## initialize() [2/2]

void initialize | ( | const band_basic< float_type, memory_type > & | gh,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 486 of file field_expr_quadrature.h.

## evaluate()

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Value, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 491 of file field_expr_quadrature.h.

## valued_check()

void valued_check | ( |  | ) | const

Definition at line 509 of file field_expr_quadrature.h.

## Member Data Documentation

## valued_hint

const space_constant::valued_type valued_hint = space_constant::valued_tag_traits<value_type>::value

static

Definition at line 460 of file field_expr_quadrature.h.

## _f

BinaryFunction _f

protected

Definition at line 517 of file field_expr_quadrature.h.

## _expr1

Expr1 _expr1

protected

Definition at line 518 of file field_expr_quadrature.h.

## _expr2

Expr2 _expr2

protected

Definition at line 519 of file field_expr_quadrature.h.

The documentation for this class was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/field_expr_quadrature.h